// <html><head><title> MpxG2Strings.c </title></head><body bgcolor=#FFFFFF><pre>
///////////////////////////////////////////////////////////////////////////////
//	Copyright (C) 2000 by Lexicon, Incorporated, Bedford, Massachusetts, USA
//	All Rights Reserved, Worldwide
//
// Under the copyright laws this program may not be copied, in whole or in part, 
// without the express written consent of Lexicon, Incorporated.  Under the law, 
// copying includes translating into another language or format.
//
// This program is protected as an unpublished work under the copyright laws of 
// The United States of America.  The above copyright notice is not intended to 
// constitute a publication of this work.
//
////////////////////////////////////////////////////////////////////////////////
//	    Project: MPX G2
//     Filename: MpxG2Strings.c
//	Description: This file contains strings used to display parameter values.
//               Toolkit
//
//	Revision History:
//------------------------------------------------------------------------------
//	12-29-97	rjs		Created.
//	06-01-00	rjs		Prepped for public distribution.
//	
//////////////////////////////////////////////////////////////////////////////


const char *lfo_mode_strings[NUM_LFO_MODES] =
{
	"Off",
	"On",
	"Latch",
	"Gate",
	"Once",
	"Reset",
	"RTrig"
};

const char *adsr_mode_strings[NUM_ADSR_MODES] = 
{
	"Off",
	"Once",
	"RTrig",
	"Loop"
};

const char *ab_mode_strings[NUM_AB_MODES] = 
{
	"Trig",
	"Gate",
};

const char *waveform_strings[NUM_WAVEFORMS] = 
{
	"Sinewave",
	"Triangle",
	"Pulse"
};


const char *envelope_mode_strings[NUM_ENVELOPES] = 
{
	"ADR1",
	"ADR2",
	"Env1",
	"Env2",
	"Off",
};

const char *modulation_mode_strings[NUM_MODULATIONS] = 
{
	"LFO1",
	"LFO2",
	"S/H",
	"Off",
};

const char *velocity_mode_strings[NUM_VELOCITY_UNITS] = 
{
	"Vel",
	"Touch",
	"Press",
	"Off",
};
		  
const char *time_unit_strings[NUM_TIME_UNITS] = 
{
	"ms",
	"Echoes:beat",
	"Feet",
	"Meters",
	"Tap ms",
};

const char *tap_mode_strings[NUM_TAP_MODES] = 
{
	"Off",
	"Time1",
	"Time2",
	"Tm1&2",
};


const char *on_off_strings[NUM_ON_OFF_MODES] = 
{
	"Off",
	"On",
};


const char *log_lin_strings[NUM_LOG_LIN_MODES] = 
{
	"Lin",
	"Log",
};

const char *midi_out_rate_strings[NUM_DUMP_SPEEDS] = 
{
	"Fast",
	"Medium Fast",
	"Medium Slow",
	"Slow",
};

const char *meter_strings[NUM_METER_OPTIONS] = 
{
	"Inputs",
	"Outputs",
	"Ptch: In  Lvl",
	"Ptch: Out Lvl",
	"Ptch: In&Out Lvl",
	"Chrs: In  Lvl",
	"Chrs: Out Lvl",
	"Chrs: In&Out Lvl",
	"  CHORUS: In  Lvl",
	"  CHORUS: Out Lvl",
	"  CHORUS: In&Out Lvl",
	" Mod: In  Lvl",
	" Mod: Out Lvl",
	" Mod: In&Out Lvl",
	" Dly: In  Lvl",
	" Dly: Out Lvl",
	" Dly: In&Out Lvl",
	" Rvb: In  Lvl",
	" Rvb: Out Lvl",
	" Rvb: In&Out Lvl",
	"LFO 1 & 2",
	"Env 1 & 2",
	"Footpedal",
	"ADR 1 & 2",
	"Simulation",
};

const char *sort_mode_strings[1] = 
{
	"Blah",
};

const char *bypass_mode_strings[NUM_BYPASS_MODES] = 
{
	"Bypass",
	"All Mute",
	"Input Mute",
};


const char *mem_protect_mode_strings[2] = 
{
	"Off",
	"On",
};


const char *patch_update_mode_strings[NUM_PATCH_UPDATE_MODES] = 
{
	"Immediate",
	"Delayed",
};


const char *sleep_mode_strings[NUM_SLEEP_MODES] = 
{
	"Off",
	"Help",
};

const char *mix_mode_strings[NUM_MIX_MODES] = 
{
	"Global",
	"Program",
};

const char *program_load_strings[NUM_PROGRAM_LOAD_BYPASS_MODES] = 
{
	"Bypass",
	"All Mute",
};

const char *clock_source_strings[NUM_INPUT_CLOCK_CHOICES] = 
{
	"Analog/Int",
	"Analog/Ext",
	"Digital/Ext",
};

const char *audio_output_mode_strings[NUM_AUDIO_OUTPUT_CHOICES] = 
{
	"Stereo",
	"Mono",
};

const char *chan_stat_mode_strings[NUM_CHAN_STAT_CHOICES] = 
{
	"Pass thru",
	"Generate CS",
};

const char *note_strings[NUM_NOTE_VALUES] = 
{
	"Eighth",
	"DottedEighth",
	"Quarter",
	"DottedQuarter",
};

const char *tempo_source_strings[NUM_TEMPO_SOURCES] = 
{
	"Internal",
	"MIDI",
};

const char *midi_dump_strings[NUM_MIDI_UI_DUMPS] = 
{
	"Current Pgm",
	"All Programs",
	"Map 1",
	"Map 2",
	"Map 3",
	"Chain 1",
	"Chain 2",
	"Chain 3",
	"Chain 4",
	"Chain 5",
	"Chain 6",
	"Chain 7",
	"Chain 8",
	"Chain 9",
	"Chain 10",
	"Setup 1",
	"Setup 2",
	"Setup 3",
	"Setup 4",
	"Setup 5",
};


const char *global_patch_dest_strings[NUM_GLOBAL_PATCH_DESTINATIONS] = 
{
	"--------",
	"Post Mix",
	"FX 1 Mix",
	"FX 2 Mix",
	"Chrs Mix",
	"Dly  Mix",
	"Rvb  Mix",
	"Eq  Mix",
	"Post Lvl",
	"FX 1 Lvl",
	"FX 2 Lvl",
	"Chrs Lvl",
	"Dly  Lvl",
	"Rvb  Lvl",
	"Eq  Lvl",
	"Clr Loop",
	"Layer",
	"Replace",
	"Delay",
	"StopStrt",
};

const char *eq_mode_strings[NUM_EQ_MODES] = 
{
	"LShlf",
	"Band",
	"HShlf",
};


const char *fb_insert_point_strings[NUM_CONFIGURABLE_BLOCKS] = 
{
	"Effect 1",
	"Effect 2",
	"Chorus",
	"Delay",
	"Reverb",
	"EQ",
	"Input",
	"Output",
};

const char *wah_type_strings[NUM_WAH_TYPES] = 
{
	"Model C",
	"Model V",
};


const char *input_mode_strings[NUM_INPUT_MODES] = 
{
	"Stereo",
	"Mono(L only)",
	"Mono(R only)",
};

const char *arpeggiator_mode_strings[8] = 
{
	"Off",
	"Up",
	"Down",
	"Up-Dn",
	"Rand",
	"Frwrd",
	"Bkwrd",
	"Fd-Bd"
};
	
const char *envelope_source_strings[NUM_ENV_SOURCES] = 
{
	"Off",
	"In",
	"Ret L",
	"Ret R",
	"Raw L",
	"Raw R",
	"FX 1 L",
	"FX 1 R",
	"FX 2 L",
	"FX 2 R",
	"Chrs L",
	"Chrs R",
	"EQ L",
	"EQ R",
	"Rvb L",
	"Rvb R",
	"Dly L",
	"Dly R",
	"PreOut",
	"MainL",
	"MainR",
};



const char *cromatic_note_strings[12] = 
{
	"C",
	"C#",
	"D",
	"D#",
	"E",
	"F",
	"F#",
	"G",
	"G#",
	"A",
	"A#",
	"B",
};


const char *load_mode_strings[NUM_LOAD_MODES] = 
{
	"Manual",
	"Auto",
};

//////////////////////////////////////////////////////////////
// Note that in the MPX G2 the following numbers are followed
// by a "custom character" which contains the image of the 
// "degree" symbol.
//////////////////////////////////////////////////////////////
const char *phase_strings[NUM_PHASE_UNITS] = 
{
	"0",
	"90",
	"180",
	"270",
};


const char *on_off_with_bin_strings[NUM_ON_OFF_MODES] = 
{
	"Off (0)",
	"On (1)",
};

const char *DSP_bypass_strings[NUM_ON_OFF_MODES] = 
{
	"Byp 0",
	"On 1",
};

const char *tone_strings[NUM_ON_OFF_MODES] = 
{
	"Byp 0",								
	"On 1",
};


const char *mojo_bypass_strings[NUM_ON_OFF_MODES] = 
{
	"Byp 0",								
	"On 1"
};

const char *SX_bypass_strings[NUM_ON_OFF_MODES] = 
{
	"Byp 0",								
	"On 1",
};


const char *feel_strings[NUM_ON_OFF_MODES] = 
{
	"Out 0",
	"In 1",
};

const char *send_sel_strings[NUM_ON_OFF_MODES] = 
{
	"Gn 0",
	"Cln 1",
};


const char *sum_mono_strings[NUM_ON_OFF_MODES] = 
{
	"Off 0",
	"On 1",
};


const char *left_ins_strings[NUM_ON_OFF_MODES] = 
{
	"Nrml0",
	"Loop1",
};

const char *spkr_sim_bypass_strings[NUM_ON_OFF_MODES] = 
{
	"Byp 0",
	"On 1",
};


const char *rt_ins_ct_strings[NUM_ON_OFF_MODES] = 
{
	"Nrml0",
	"Loop1",
};


const char *mix_insert_strings[NUM_ON_OFF_MODES] = 
{
	"Off 0",
	"On 1",
};

const char *mute_strings[NUM_ON_OFF_MODES] = 
{
	"Mute0",
	"On 1",
};

const char *send_bypass_mode_strings[NUM_SEND_BYPASS_MODES] = 
{
	"disabled",
	"Bypass",
	"Insert Mute",
};
												
const char *post_bypass_mode_strings[NUM_POST_BYPASS_MODES] = 
{
	"Disabled",
	"Bypass",
	"All Mute",
	"Input Mute",
};
						
const char *insert_mode_strings[NUM_INSERT_MODES] = 
{
	"FX Loop",
	"Mix",
	"Parallel",
};

const char *insert_type_strings[NUM_INSERT_TYPES] = 
{
	"Stereo",
	"Left",
	"Right",
	"PreOut",
};


const char *tuner_bypass_mode_strings[NUM_TUNER_BYPASS_MODES] = 
{
	"Mute",
	"Post Mute",
	"All Bypass",
};
						
const char *noise_gate_enable_strings[NUM_NOISE_GATE_ENABLE_MODES] = 
{
	"Off",
	"Guitar Input",
	"Returns Only",
};

const char *cabinet_strings[NUM_CABINET_TYPES] = 
{
	"Combo1Brite",		// 8 off
	"Combo1Norml",		// 5 off
	"Combo1Warm",		// 4 off
	"Combo1Dark",		// 3 off
	"Combo2Brite",		// 8 shelf
	"Combo2Norml",		// 5 shelf
	"Combo2Warm",		// 4 shelf
	"Combo2Dark",		// 3 shelf
	"Stack1Brite",		// 8 shelfpeak
	"Stack1Norml",		// 5 shelfpeak
	"Stack1Warm",		// 4 shelfpeak
	"Stack1Dark",		// 3 shelfpeak
	"Stack2Brite",		// 8 peak
	"Stack2Norml",		// 5 peak
	"Stack2Warm",		// 4 peak
	"Stack2Dark",		// 3 peak
};						

const char *toe_patch_strings[NUM_TOE_PATCH_MODES] = 
{
	"disabled",
	"Off = Bypass",
	"On = Bypass",
};						

const char *scale_strings[NUM_SCALES] = 
{
	"Major",
	"Dor",
	"Phry",
	"Lyd",
	"Mixo",
	"Minor",
	"Loc",
};						


const char *interval_strings[NUM_INTERVALS] = 
{
	"@Oct",	
	"@th",	
	"@6th",	
	"@5th",	
	"@4th",
	"@3rd",
	"@2nd",
	"-oct",
	"-7th",
	"-6th",
	"-5th",
	"-4th",
	"-3rd",
	"-2nd",
	"uni",
	"+2nd",
	"+3rd",
	"+4th",
	"+5th",
	"+6th",
	"+7th",
	"+oct",
	"*2nd",
	"*3rd",
	"*4th",
	"*5th",
};
				
const char *pitch_detect_source_strings[NUM_PITCH_DETECT_SOURCES] = 
{
	"Guitar Input",
	"Aux Inputs",
};


const char *speaker_freq_strings[NUM_SPEAKER_FREQS] = 
{
	"3.0 k",
	"4.2 k",
	"5.8 k",
	"8.0 k"
};


const char *internal_controller_name_strings[NUM_INT_CONTROLLERS] = 
{
	"Off",
	"On",
	"Knob",
	"Puls1",
	"Tri1",
	"Sine1",
	"Cos1",
	"Puls2",
	"Tri2",
	"Sine2",
	"Cos2",
	"Rand",
	"Env",
	"InLvl",
	"RnLvl",
	"A/B",
	"ATrg",
	"BTrg",
	"ABTrg",
	"Pedal",
	"Tog1",
	"Tog2",
	"Tog3",
	"Sw1",
	"Sw2",
	"Sw3",
};			



const char *midi_control_name_strings[NUM_MIDI_CONTROLS] = 
{
	"Bend",
	"Touch",
	"Vel",
	"Last Note", 
	"Low Note",
	"High Note",
	"Tempo",
	"Cmnds",
	"Gate",
	"Trig",
	"LGate",
	"TSw",
	"Toe",
};


const char *tuner_cal_strings[NUM_TUNER_CAL_SETTINGS] = 
{
	"261.63Hz C",
	"277.18Hz C#",
	"293.66Hz D",
	"311.12Hz Eb",
	"329.63Hz E",
	"349.23Hz F",
	"369.99Hz F#",
	"392.00Hz G",
	"415.30Hz Ab",
	"440.00Hz A",
	"466.16Hz Bb",
	"493.88Hz B",
};


typedef struct
{
    UINT16	freq;
    UINT16	coef;
} XOVER_TABLE;

XOVER_TABLE	xover_table[] =
{
	30,	(COEF_ONE * 1L) / 256,		// 000: Freq 30, g48 1 */
	60,	(COEF_ONE * 2L) / 256,		// 001: Freq 60, g48 2 */
	90,	(COEF_ONE * 3L) / 256,		// 002: Freq 90, g48 3 */
	120,	(COEF_ONE * 4L) / 256,		// 003: Freq 120, g48 4 */
	151,	(COEF_ONE * 5L) / 256,		// 004: Freq 151, g48 5 */
	181,	(COEF_ONE * 6L) / 256,		// 005: Freq 181, g48 6 */
	212,	(COEF_ONE * 7L) / 256,		// 006: Freq 212, g48 7 */
	243,	(COEF_ONE * 8L) / 256,		// 007: Freq 243, g48 8 */
	273,	(COEF_ONE * 9L) / 256,		// 008: Freq 273, g48 9 */
	336,	(COEF_ONE * 11L) / 256,		// 009: Freq 336, g48 11 */
	398,	(COEF_ONE * 13L) / 256,		// 010: Freq 398, g48 13 */
	461,	(COEF_ONE * 15L) / 256,		// 011: Freq 461, g48 15 */
	525,	(COEF_ONE * 17L) / 256,		// 012: Freq 525, g48 17 */
	589,	(COEF_ONE * 19L) / 256,		// 013: Freq 589, g48 19 */
	654,	(COEF_ONE * 21L) / 256,		// 014: Freq 654, g48 21 */
	818,	(COEF_ONE * 26L) / 256,		// 015: Freq 818, g48 26 */
	986,	(COEF_ONE * 31L) / 256,		// 016: Freq 986, g48 31 */
	1158,	(COEF_ONE * 36L) / 256,		// 017: Freq 1158, g48 36 */
	1333,	(COEF_ONE * 41L) / 256,		// 018: Freq 1333, g48 41 */
	1513,	(COEF_ONE * 46L) / 256,		// 019: Freq 1513, g48 46 */
	1697,	(COEF_ONE * 51L) / 256,		// 020: Freq 1697, g48 51 */
	1886,	(COEF_ONE * 56L) / 256,		// 021: Freq 1886, g48 56 */
	2079,	(COEF_ONE * 61L) / 256,		// 022: Freq 2079, g48 61 */
	2278,	(COEF_ONE * 66L) / 256,		// 023: Freq 2278, g48 66 */
	2481,	(COEF_ONE * 71L) / 256,		// 024: Freq 2481, g48 71 */
	2691,	(COEF_ONE * 76L) / 256,		// 025: Freq 2691, g48 76 */
	2906,	(COEF_ONE * 81L) / 256,		// 026: Freq 2906, g48 81 */
	3127,	(COEF_ONE * 86L) / 256,		// 027: Freq 3127, g48 86 */
	3355,	(COEF_ONE * 91L) / 256,		// 028: Freq 3355, g48 91 */
	3591,	(COEF_ONE * 96L) / 256,		// 029: Freq 3591, g48 96 */
	3833,	(COEF_ONE * 101L) / 256,	// 030: Freq 3833, g48 101 */
	4084,	(COEF_ONE * 106L) / 256,	// 031: Freq 4084, g48 106 */
	4343,	(COEF_ONE * 111L) / 256,	// 032: Freq 4343, g48 111 */
	4611,	(COEF_ONE * 116L) / 256,	// 033: Freq 4611, g48 116 */
	4888,	(COEF_ONE * 121L) / 256,	// 034: Freq 4888, g48 121 */
	5177,	(COEF_ONE * 126L) / 256,	// 035: Freq 5177, g48 126 */
	5476,	(COEF_ONE * 131L) / 256,	// 036: Freq 5476, g48 131 */
	5788,	(COEF_ONE * 136L) / 256,	// 037: Freq 5788, g48 136 */
	6113,	(COEF_ONE * 141L) / 256,	// 038: Freq 6113, g48 141 */
	6453,	(COEF_ONE * 146L) / 256,	// 039: Freq 6453, g48 146 */
	6808,	(COEF_ONE * 151L) / 256,	// 040: Freq 6808, g48 151 */
	7181,	(COEF_ONE * 156L) / 256,	// 041: Freq 7181, g48 156 */
	7573,	(COEF_ONE * 161L) / 256,	// 042: Freq 7573, g48 161 */
	7986,	(COEF_ONE * 166L) / 256,	// 043: Freq 7986, g48 166 */
	8423,	(COEF_ONE * 171L) / 256,	// 044: Freq 8423, g48 171 */
	8886,	(COEF_ONE * 176L) / 256,	// 045: Freq 8886, g48 176 */
	9379,	(COEF_ONE * 181L) / 256,	// 046: Freq 9379, g48 181 */
	9906,	(COEF_ONE * 186L) / 256,	// 047: Freq 9906, g48 186 */
	10472,	(COEF_ONE * 191L) / 256,	// 048: Freq 10472, g48 191 */
	11084,	(COEF_ONE * 196L) / 256,	// 049: Freq 11084, g48 196 */
	11748,	(COEF_ONE * 201L) / 256,	// 050: Freq 11748, g48 201 */
	12476,	(COEF_ONE * 206L) / 256,	// 051: Freq 12476, g48 206 */
	13281,	(COEF_ONE * 211L) / 256,	// 052: Freq 13281, g48 211 */
	14181,	(COEF_ONE * 216L) / 256,	// 053: Freq 14181, g48 216 */
	15201,	(COEF_ONE * 221L) / 256,	// 054: Freq 15201, g48 221 */
	16379,	(COEF_ONE * 226L) / 256,	// 055: Freq 16379, g48 226 */
	17772,	(COEF_ONE * 231L) / 256,	// 056: Freq 17772, g48 231 */
	19476,	(COEF_ONE * 236L) / 256,	// 057: Freq 19476, g48 236 */
	21674,	(COEF_ONE * 241L) / 256,	// 058: Freq 21674, g48 241 */
	24772,	(COEF_ONE * 246L) / 256,	// 059: Freq 24772, g48 246 */
	-1,	COEF_ONE,			// 060: Freq inf, g48 256 */
};


typedef struct
{
    UINT8	khertz;
    char	hertz;
} FREQUENCY;

FREQUENCY SPFrequencies[] =
{
    0,	'2',		// 493
    0,	'5',		// 493,
    1,	'0',		// 1020,
    1,	'6',		// 1586,
    2,	'2',		// 2198,
    2,	'9',		// 2862,
    3,	'6',		// 3591,
    4,	'4',		// 4395,
    5,	'5',		// 5538,
    6,	'3',		// 6315,
    7,	'5',		// 7493,
    8,	'9',		// 8886,
    10, '6',		// 10591,
    12,	'8',		// 12788,
    15, '9',		// 15886,
    21, '2',		// 21181,
};


FREQUENCY	DPFrequencies[] =
{
    0,	'0',		// 0   30,
    0,	'0',		// 1   60,
    0,	'9',		// 2   90,
    0,	'1',		// 3  120,
    0,	'1',		// 4  151,
    0,	'1',		// 5  181,
    0,	'2',		// 6  212,
    0,	'2',		// 7  243,
    0,	'2',		// 8  273,
    0,	'3',		// 9  336,
    0,	'3',		//10  398,
    0,	'4',		//11  461,
    0,	'5',		//12  525,
    0,	'5',		//13  598,
    0,	'6',		//14  654,
    0,	'8',		//15  818,
    0,	'9',		//16  986,
    1,	'1',		//17 1158,
    1,	'3',		//18 1333,
    1,	'5',		//19 1513,
    1,	'6',		//20 1697,
    1,	'8',		//21 1886,
    2,	'0',		//22 2079,
    2,	'2',		//23 2278,
    2,	'4',		//24 2481,
    2,	'6',		//25 2691,
    2,	'9',		//26 2906,
    3,	'1',		//27 3127,
    3,	'3',		//28 3355,
    3,	'5',		//29 3591
    3,	'8',		//30 3833
    4,	'0',		//31 4084
    4,	'3',		//32 4343
    4,	'6',		//33 4611
    4,	'8',		//34 4888
    5,	'1',		//35 5177
    5,	'4',		//36 5476
    5,	'7',		//37 5788
    6,	'1',		//38 6113
    6,	'4',		//39 6453
    6,	'8',		//40 6808
    7,	'1',		//41 7181
    7,	'5',		//42 7573
    7,	'9',		//43 7986
    8,	'4',		//44 8423
    8,	'8',		//45 8886
    9,	'3',		//46 9379
    9,	'9',		//47 9906
    10,	'4',		//48 10472
    11,	'0',		//49 11084
    11,	'7',		//50 11748
    12,	'4',		//51 12476
    13, '2',		//52 13281
    14, '1',		//53 14181
    15, '2',		//54 15201
    16, '3',		//55 16379
    17, '7',		//56 17772
    19, '4',		//57 19476
    21, '6',		//58 21674
    24, '7',		//59 24772
};


typedef struct
{
    LCOEF	Coef;
    char	*String;
} BASS_MULT;

BASS_MULT	BassRtTable[10] =
{
	{( 2 * COEF_ONE) / 10, "0.2"},
	{( 4 * COEF_ONE) / 10, "0.4"},
	{( 6 * COEF_ONE) / 10, "0.6"},
	{( 8 * COEF_ONE) / 10, "0.8"},
	{(10 * COEF_ONE) / 10, "1.0"},
	{(12 * COEF_ONE) / 10, "1.2"},
	{(15 * COEF_ONE) / 10, "1.5"},
	{(20 * COEF_ONE) / 10, "2.0"},
	{(30 * COEF_ONE) / 10, "3.0"},
	{(40 * COEF_ONE) / 10, "4.0"}
};


UINT8	Limits[3] = {100, 10, 1};

UINT16	MidRtTimes[64] =
{
     242,  291,  329,  363,  395,  425,  454,  483,
     512,  541,  570,  600,  629,  660,  691,  723,
     755,  789,  824,  860,  897,  935,  975, 1017,
    1061, 1106, 1154, 1203, 1256, 1311, 1369, 1430,
    1495, 1564, 1637, 1715, 1799, 1888, 1984, 2088,
    2200, 2321, 2453, 2598, 2757, 2932, 3126, 3344,
    3588, 3864, 4179, 4543, 4967, 5468, 6069, 6802,
    7719, 8897,10468,12666,15963,21456,32441,65393,
};


char levelog_db[26*2] =			// value in db */
{
    'x',	'x',				// 0 = off
    '4',	'8',				// 1 = -48db
    '4',	'2',				// 2 = -42db
    '3',	'9',				// 3 = -39db
    '3',	'6',				// 5 = -36db
    '3',	'3',				// 4 = -33db
    '3',	'0',				// 6 = -30db
    '2',	'7',				// 7 = -27db
    '2',	'4',				// 8 = -24db
    '2',	'2',				// 9 = -22db
    '2',	'0',				// 10 = -20db
    '1',	'8',				// 11 = -18db
    '1',	'6',				// 12 = -16db
    '1',	'4',				// 13 = -14db
    '1',	'2',				// 14 = -12db
    '1',	'0',				// 15 = -10db
    '9',	' ',				// 16 = -9db
    '8',	' ',				// 17 = -8db
    '7',	' ',				// 18 = -7db
    '6',	' ',				// 19 = -6db
    '5',	' ',				// 20 = -5db
    '4',	' ',				// 21 = -4db
    '3',	' ',				// 22 = -3db
    '2',	' ',				// 23 = -3db
    '1',	' ',				// 24 = -1db
    'x',	'x',				// 25 = Full-1db
};

//////////////////////////////////////////////////////////////
// Though not literally a "string" table, the following is 
// a list of parameter types (IDs) that make up an MPX G2
// program. The parameters identified in the list map directly
// to the data contained in an MPXG2_PROGRAM structure.


#define NUM_PROG_DUMP_DATA_TYPES 184

const UINT16 program_dump_data_types[NUM_PROG_DUMP_DATA_TYPES] = 
{
	PROG_SELECT_PARAM,			//? program number
	FX_1_PARAM_DATA_PARAM,		// param data
	FX_2_PARAM_DATA_PARAMx,
	CHORUS_PARAM_DATA_PARAM,
	DELAY_PARAM_DATA_PARAM,
	REVERB_PARAM_DATA_PARAM,
	EQ_PARAM_DATA_PARAM,
	GAIN_PARAM_DATA_PARAM,
	SORT_FLAGS_PARAM,			// sort flags

	ROUTING_EFFECT_TYPE_PARAM,		// Input Block Routing
	ROUTING_UPPER_INPUT_CONN_PARAM,
	ROUTING_LOWER_INPUT_CONN_PARAM,
	ROUTING_ROUTING_PARAM,
	ROUTING_PATH_TYPE_PARAM,
	ROUTING_EFFECT_TYPE_PARAM,		// Block 1 Routing
	ROUTING_UPPER_INPUT_CONN_PARAM,
	ROUTING_LOWER_INPUT_CONN_PARAM,
	ROUTING_ROUTING_PARAM,
	ROUTING_PATH_TYPE_PARAM,
	ROUTING_EFFECT_TYPE_PARAM,		// Block 2 Routing
	ROUTING_UPPER_INPUT_CONN_PARAM,
	ROUTING_LOWER_INPUT_CONN_PARAM,
	ROUTING_ROUTING_PARAM,
	ROUTING_PATH_TYPE_PARAM,
	ROUTING_EFFECT_TYPE_PARAM,		// Block 3 Routing
	ROUTING_UPPER_INPUT_CONN_PARAM,
	ROUTING_LOWER_INPUT_CONN_PARAM,
	ROUTING_ROUTING_PARAM,
	ROUTING_PATH_TYPE_PARAM,
	ROUTING_EFFECT_TYPE_PARAM,		// Block 4 Routing
	ROUTING_UPPER_INPUT_CONN_PARAM,
	ROUTING_LOWER_INPUT_CONN_PARAM,
	ROUTING_ROUTING_PARAM,
	ROUTING_PATH_TYPE_PARAM,
	ROUTING_EFFECT_TYPE_PARAM,		// Block 5 Routing
	ROUTING_UPPER_INPUT_CONN_PARAM,
	ROUTING_LOWER_INPUT_CONN_PARAM,
	ROUTING_ROUTING_PARAM,
	ROUTING_PATH_TYPE_PARAM,
	ROUTING_EFFECT_TYPE_PARAM,		// Block 6 Routing
	ROUTING_UPPER_INPUT_CONN_PARAM,
	ROUTING_LOWER_INPUT_CONN_PARAM,
	ROUTING_ROUTING_PARAM,
	ROUTING_PATH_TYPE_PARAM,
	ROUTING_EFFECT_TYPE_PARAM,		// Block 7 Routing
	ROUTING_UPPER_INPUT_CONN_PARAM,
	ROUTING_LOWER_INPUT_CONN_PARAM,
	ROUTING_ROUTING_PARAM,
	ROUTING_PATH_TYPE_PARAM,
	ROUTING_EFFECT_TYPE_PARAM,		// Output Routing
	ROUTING_UPPER_INPUT_CONN_PARAM,
	ROUTING_LOWER_INPUT_CONN_PARAM,
	ROUTING_ROUTING_PARAM,
	ROUTING_PATH_TYPE_PARAM,

	FX_1_TOE_PATCH_PARAM,			// toe patches
	FX_2_TOE_PATCH_PARAM,
	CHORUS_TOE_PATCH_PARAM,
	DELAY_TOE_PATCH_PARAM,
	REVERB_TOE_PATCH_PARAM,
	EQ_TOE_PATCH_PARAM,
	GAIN_TOE_PATCH_PARAM,

	FX_1_ALG_SELECT_PARAM,
	FX_2_ALG_SELECT_PARAM,
	CHORUS_ALG_SELECT_PARAM,
	DELAY_ALG_SELECT_PARAM,
	REVERB_ALG_SELECT_PARAM,
	EQ_ALG_SELECT_PARAM,
	GAIN_ALG_SELECT_PARAM,
	PROGRAM_NAME_PARAM,
	EFFECT_STATUS_PARAM,
	SOFT_ROW_ASSIGNMENT_PARAM,
	SOFT_ROW_ASSIGNMENT_PARAM,
	SOFT_ROW_ASSIGNMENT_PARAM,
	SOFT_ROW_ASSIGNMENT_PARAM,
	SOFT_ROW_ASSIGNMENT_PARAM,
	SOFT_ROW_ASSIGNMENT_PARAM,
	SOFT_ROW_ASSIGNMENT_PARAM,
	SOFT_ROW_ASSIGNMENT_PARAM,
	SOFT_ROW_ASSIGNMENT_PARAM,
	SOFT_ROW_ASSIGNMENT_PARAM,
	TEMPO_RATE_PARAM,
	TEMPO_SOURCE_PARAM,
	BEAT_VALUE_PARAM,
	TAP_SOURCE_PARAM,
	TAP_AVERAGE_PARAM,
	TAP_SOURCE_LEVEL_PARAM,
	DUMMY_PARAM,	
	PATCH_SOURCE_CONT_PARAM,	// patch 1
	PATCH_SOURCE_MIN_PARAM,
	PATCH_SOURCE_MID_PARAM,
	PATCH_SOURCE_MAX_PARAM,
	PATCH_DEST_TYPE_PARAM,		
	PATCH_1_DEST_MIN_PARAM,
	PATCH_1_DEST_MID_PARAM,
	PATCH_1_DEST_MAX_PARAM,
	PATCH_SOURCE_CONT_PARAM,	// patch 2
	PATCH_SOURCE_MIN_PARAM,
	PATCH_SOURCE_MID_PARAM,
	PATCH_SOURCE_MAX_PARAM,
	PATCH_DEST_TYPE_PARAM,
	PATCH_2_DEST_MIN_PARAM,
	PATCH_2_DEST_MID_PARAM,
	PATCH_2_DEST_MAX_PARAM,
	PATCH_SOURCE_CONT_PARAM,	// patch 3
	PATCH_SOURCE_MIN_PARAM,
	PATCH_SOURCE_MID_PARAM,
	PATCH_SOURCE_MAX_PARAM,
	PATCH_DEST_TYPE_PARAM,
	PATCH_3_DEST_MIN_PARAM,
	PATCH_3_DEST_MID_PARAM,
	PATCH_3_DEST_MAX_PARAM,
	PATCH_SOURCE_CONT_PARAM,	// patch 4
	PATCH_SOURCE_MIN_PARAM,
	PATCH_SOURCE_MID_PARAM,
	PATCH_SOURCE_MAX_PARAM,
	PATCH_DEST_TYPE_PARAM,
	PATCH_4_DEST_MIN_PARAM,
	PATCH_4_DEST_MID_PARAM,
	PATCH_4_DEST_MAX_PARAM,
	PATCH_SOURCE_CONT_PARAM,	// patch 5
	PATCH_SOURCE_MIN_PARAM,
	PATCH_SOURCE_MID_PARAM,
	PATCH_SOURCE_MAX_PARAM,
	PATCH_DEST_TYPE_PARAM,
	PATCH_5_DEST_MIN_PARAM,
	PATCH_5_DEST_MID_PARAM,
	PATCH_5_DEST_MAX_PARAM,
	KNOB_VALUE_PARAM,			// Knob
	KNOB_LOW_PARAM,
	KNOB_HIGH_PARAM,
	KNOB_NAME_PARAM,
	LFO_1_MODE_PARAM,			// LFO 1
	LFO_1_RATE_PARAM,
	PULSE_WIDTH_PARAM,
	LFO_PHASE_PARAM,
	LFO_DEPTH_PARAM,
	TRIG_LEVEL_PARAM,
	TRIG_SOURCE_PARAM,
	LFO_2_MODE_PARAM,			// LFO 2
	LFO_2_RATE_PARAM,
	PULSE_WIDTH_PARAM,
	LFO_PHASE_PARAM,
	LFO_DEPTH_PARAM,
	TRIG_LEVEL_PARAM,
	TRIG_SOURCE_PARAM,
	RANDOM_LO_PARAM,			// Random
	RANDOM_HI_PARAM,
	RANDOM_RATE_PARAM,
	AB_MODE_PARAM,				// AB 
	AB_RATE_PARAM,
	AB_INERTIA_PARAM,
	TRIG_LEVEL_PARAM,
	TRIG_SOURCE_PARAM,
	SOURCE_1_PARAM,
	SOURCE_2_PARAM,
	ENV_ATTACK_RATE_PARAM,		// Envelope
	ENV_RELEASE_RATE_PARAM,
	NOISE_GATE_ENABLE_PARAM,	// Noise Gate
	NOISE_GATE_THRESHOLD_PARAM,
	NOISE_GATE_OFFSET_PARAM,
	NOISE_GATE_HOLD_TIME_PARAM,
	NOISE_GATE_ATTACK_TIME_PARAM,
	NOISE_GATE_RELEASE_TIME_PARAM,
	NOISE_GATE_ATTENUATION_PARAM,
	NOISE_GATE_DELAY_TIME_PARAM,
	PROG_BYPASS_PARAM,
	SIMULATOR_PARAM,				// Speaker Sim
	CABINET_PARAM,			
	POST_LEVEL_PARAM,				// Post
	POST_BYPASS_LEVEL_PARAM,
	POST_MIX_PARAM,
	SEND_LEVEL_PARAM,				// Send
	SEND_BYPASS_LEVEL_PARAM,
};


// </pre></body></html>